Mis equipos
GET https://notifycame.com/api/teams/
curl --request GET \
--url 'https://notifycame.com/api/teams/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://notifycame.com/api/teams/' \
--header 'Authorization: Bearer {api_key}' \
| Parámetros | Detalles | Descripción |
|---|---|---|
| search | Opcional Cadena | La cadena de búsqueda. |
| search_by | Opcional Cadena | ¿Qué campo está buscando? Los valores permitidos son: name. |
| order_by | Opcional Cadena | Por qué campo ordenar los resultados. Los valores permitidos son: team_id , datetime , last_datetime , name. |
| order_type | Opcional Cadena | El orden de los resultados. Los valores permitidos son: ASC para orden ascendente, y DESC para orden descendente. |
| page | Opcional Entero | El número de página del que desea resultados. Predeterminado a 1. |
| results_per_page | Opcional Entero | Cuántos resultados deseas por página. Los valores permitidos son: 10 , 25 , 50 , 100 , 250 , 500 , 1000. El valor predeterminado es 25. |
{
"data": [
{
"id": 1,
"name": "Example team",
"team_members": [
{
"team_member_id": 1,
"user_email": "hello@example.com",
"access": {
"read": true,
"create": true,
"update": true,
"delete": false
},
"status": 1,
"datetime": "2026-03-02 04:13:19",
"last_datetime": null
}
],
"last_datetime": null,
"datetime": "2026-03-02 04:13:19",
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://notifycame.com/api/teams?page=1",
"last": "https://notifycame.com/api/teams?page=1",
"next": null,
"prev": null,
"self": "https://notifycame.com/api/teams?page=1"
}
}
GET https://notifycame.com/api/teams/{team_id}
curl --request GET \
--url 'https://notifycame.com/api/teams/{team_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://notifycame.com/api/teams/{team_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"name": "Example team",
"team_members": [
{
"team_member_id": 1,
"user_email": "hello@example.com",
"access": {
"read": true,
"create": true,
"update": true,
"delete": false
},
"status": 1,
"datetime": "2026-03-02 04:13:19",
"last_datetime": null
}
],
"last_datetime": null,
"datetime": "2026-03-02 04:13:19",
}
}
POST https://notifycame.com/api/teams
| Parámetros | Detalles | Descripción |
|---|---|---|
| name | Requerido Cadena | - |
curl --request POST \
--url 'https://notifycame.com/api/teams' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=My team' \
--url 'https://notifycame.com/api/teams' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=My team' \
{
"data": {
"id": 1
}
}
POST https://notifycame.com/api/teams/{team_id}
| Parámetros | Detalles | Descripción |
|---|---|---|
| name | Opcional Cadena | - |
curl --request POST \
--url 'https://notifycame.com/api/teams/{team_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=My new team name' \
--url 'https://notifycame.com/api/teams/{team_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=My new team name' \
{
"data": {
"id": 1
}
}
DELETE https://notifycame.com/api/teams/{team_id}
curl --request DELETE \
--url 'https://notifycame.com/api/teams/{team_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://notifycame.com/api/teams/{team_id}' \
--header 'Authorization: Bearer {api_key}' \